diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/include/config.h ircd-hybrid-6.0/include/config.h
--- ircd-hybrid-6.0.orig/include/config.h	Sat May 26 16:42:28 2001
+++ ircd-hybrid-6.0/include/config.h	Sat May 26 16:42:08 2001
@@ -724,6 +724,12 @@
  */
 #undef NEED_ULINES
    
+/*
+ * If this is defined operse sending notices to range of addresses will
+ * be forced to  specify at least the TLD
+ */
+#undef NEED_TLD_FOR_MASS_NOTICE
+
 /*   STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP  */
 
 /* You shouldn't change anything below this line, unless absolutely needed. */
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_message.c ircd-hybrid-6.0/src/m_message.c
--- ircd-hybrid-6.0.orig/src/m_message.c	Sun Sep 10 09:42:49 2000
+++ ircd-hybrid-6.0/src/m_message.c	Sat May 26 16:42:08 2001
@@ -116,7 +116,9 @@
                           int notice)
 {
   struct Client       *acptr;
+#ifdef NEED_TLD_FOR_MASS_NOTICE
   char  *s;
+#endif
   struct Channel *chptr;
   char  *nick, *server, *cmd, *host;
   /* char *p; */
@@ -399,6 +401,7 @@
           return -1;
         }
 
+#ifdef NEED_TLD_FOR_MASS_NOTICE
       if (!(s = (char *)strrchr(nick, '.')))
         {
           sendto_one(sptr, form_str(ERR_NOTOPLEVEL),
@@ -416,6 +419,8 @@
 	  msgs++;
 	  continue;
         }
+#endif /* NEED_TLD_FOR_MASS_NOTICE */
+        
       sendto_match_butone(IsServer(cptr) ? cptr : NULL, 
                           sptr, nick + 1,
                           (*nick == '#') ? MATCH_HOST :
